package com.xkrs.util;

import cn.hutool.core.date.DateUtil;

import java.util.Date;

public class LocalDateUtils {

    private LocalDateUtils() {
    }

    public static String getCurrentSecond() {
        return String.valueOf(new Date().getTime() / 1000L);
    }

    /**
     * 返回给前端用的日期格式化
     *
     * @param second 秒时间戳
     */
    public static String formatCurrentSecond(String second) {
        long timeMillis = Long.parseLong(second + "000");
        return DateUtil.format(new Date(timeMillis), "yyyy-MM-dd HH:mm:ss");
    }

    /**
     * 导出表格用的日期格式化
     *
     * @param second 秒时间戳
     */
    public static String exportFormatCurrentSecond(String second) {
        long timeMillis = Long.parseLong(second + "000");
        return DateUtil.format(new Date(timeMillis), "yyyy-MM-dd HH");
    }
}
